- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# vcsn::misc::unique Namespace Reference

The namespace for the instance collection tools. More...

## Classes
struct | UniqueListBase
| Base class for `uniquelist`. More...
struct | uniquelist
| Simple unique list structure. More...
struct | UniqueMap
| Canonical type map. More...
## Functions
template<typename T>
const T & | get (const T &)
| The canonicalization operator.
template<typename T>
const T * | get (const T *)
| Version of the canonicalization operator for pointers.

## Detailed Description

The namespace for the instance collection tools.